Skip to content

CycleRunsController_finishHere

POST
/api/cycles/runs/{runId}/finish-here
curl --request POST \
--url https://api.streams.chat/api/cycles/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/finish-here \
--header 'Content-Type: application/json' \
--data '{ "expectedPhaseId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "expectedActivationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "actionAttemptId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "acknowledgement": "close_without_agent_reply", "completionAttemptId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
runId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Media typeapplication/json
object
expectedPhaseId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
expectedActivationId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
actionAttemptId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
acknowledgement
string
Allowed values: close_without_agent_reply
completionAttemptId
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/